# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

<a name="0.17.0"></a>
# [0.17.0](https://github.com/ha4us/ha4us-gui/compare/v0.16.0...v0.17.0) (2019-04-29)


### Features

* **widgets:** hue and sonos for dashboard ([ce81888](https://github.com/ha4us/ha4us-gui/commit/ce81888))



<a name="0.16.0"></a>
# [0.16.0](https://github.com/ha4us/ha4us-gui/compare/v0.15.0...v0.16.0) (2019-04-25)


### Features

* **objects:** tree view for objects ([cd5ef91](https://github.com/ha4us/ha4us-gui/commit/cd5ef91))
* **objects:** tree view for objects ([b58c26f](https://github.com/ha4us/ha4us-gui/commit/b58c26f))



<a name="0.15.0"></a>
# [0.15.0](https://github.com/ha4us/ha4us-gui/compare/v0.14.0...v0.15.0) (2019-04-01)


### Bug Fixes

* **media.service:** some fixes (handling of tags and fixed deletion of media) ([ae256ae](https://github.com/ha4us/ha4us-gui/commit/ae256ae))


### Features

* **history:** first non working version ([edfb014](https://github.com/ha4us/ha4us-gui/commit/edfb014))
* **statistic:** updates ([1408628](https://github.com/ha4us/ha4us-gui/commit/1408628))



<a name="0.14.0"></a>
# [0.14.0](https://github.com/ha4us/ha4us-gui/compare/v0.13.2...v0.14.0) (2019-02-21)


### Bug Fixes

* **chore:** replace sharedReplay options and completed subjects ([a6d0faa](https://github.com/ha4us/ha4us-gui/commit/a6d0faa))
* **several:** some fixes while testing scripts ([7970208](https://github.com/ha4us/ha4us-gui/commit/7970208))
* **sonos:** changedetection in ha4us directive and sonos components (using changedetectorref in ha4u ([cf69d82](https://github.com/ha4us/ha4us-gui/commit/cf69d82))
* **sonos:** changedetection in ha4us directive and sonos components (using changedetectorref in ha4u ([a862001](https://github.com/ha4us/ha4us-gui/commit/a862001))


### Features

* **ha4us:** upgraded to new ha4us version with different ha4usobject (name->label) to insure the we ([b178e98](https://github.com/ha4us/ha4us-gui/commit/b178e98))



<a name="0.13.2"></a>
## [0.13.2](https://github.com/ha4us/ha4us-gui/compare/v0.13.1...v0.13.2) (2019-02-19)


### Bug Fixes

* **widgets:** resolve always to default widget valu ([27e719d](https://github.com/ha4us/ha4us-gui/commit/27e719d))



<a name="0.13.1"></a>
## [0.13.1](https://github.com/ha4us/ha4us-gui/compare/v0.13.0...v0.13.1) (2019-02-18)



<a name="0.13.0"></a>
# [0.13.0](https://github.com/ha4us/ha4us-gui/compare/v0.12.0...v0.13.0) (2019-02-18)


### Bug Fixes

* **authservice:** submit authinfo via subject when logging in ([7ffed07](https://github.com/ha4us/ha4us-gui/commit/7ffed07))
* **dashboard:** load and save fixed ([ae1314e](https://github.com/ha4us/ha4us-gui/commit/ae1314e))
* **layout:** beautified the layout of the sidenav ([6159397](https://github.com/ha4us/ha4us-gui/commit/6159397))
* **visor:** reactivated visor including roles ([31d3e9a](https://github.com/ha4us/ha4us-gui/commit/31d3e9a))


### Features

* **api service:** separated api calls to api service (currently object and media) ([d6296c0](https://github.com/ha4us/ha4us-gui/commit/d6296c0))
* **avatar & media:** removed avatar component and added missing functionality in ha4us-media ([5960a18](https://github.com/ha4us/ha4us-gui/commit/5960a18))
* **dashboard:** selectors with asterisks ([066e8eb](https://github.com/ha4us/ha4us-gui/commit/066e8eb))
* **images:** removed static images ([f8e6e23](https://github.com/ha4us/ha4us-gui/commit/f8e6e23))
* **media:** new directive for picking a media in ha4us-media (get rid of own component) ([f7fd46f](https://github.com/ha4us/ha4us-gui/commit/f7fd46f))
* **media dialog:** showing urn ([65a1b80](https://github.com/ha4us/ha4us-gui/commit/65a1b80))
* **roles:** wildcarded roles definition ([6eb3947](https://github.com/ha4us/ha4us-gui/commit/6eb3947))



<a name="0.12.0"></a>
# [0.12.0](https://github.com/ha4us/ha4us-gui/compare/v0.11.6...v0.12.0) (2019-02-04)


### Features

* **pipes:** new pipe sanitize ([2a86fec](https://github.com/ha4us/ha4us-gui/commit/2a86fec))
* **widgets:** new sonos device widget ([a62e3f0](https://github.com/ha4us/ha4us-gui/commit/a62e3f0))



<a name="0.11.6"></a>
## [0.11.6](https://github.com/ha4us/ha4us-gui/compare/v0.11.5...v0.11.6) (2019-02-03)


### Bug Fixes

* **widget.service:** getting default (registering was still with component name) ([d96b854](https://github.com/ha4us/ha4us-gui/commit/d96b854))



<a name="0.11.5"></a>
## [0.11.5](https://github.com/ha4us/ha4us-gui/compare/v0.11.4...v0.11.5) (2019-02-03)



<a name="0.11.4"></a>
## [0.11.4](https://github.com/ha4us/ha4us-gui/compare/v0.11.3...v0.11.4) (2019-02-03)


### Bug Fixes

* **widget.service:** get value default by name ([e2cad1a](https://github.com/ha4us/ha4us-gui/commit/e2cad1a))



<a name="0.11.3"></a>
## [0.11.3](https://github.com/ha4us/ha4us-gui/compare/v0.11.2...v0.11.3) (2019-02-03)



<a name="0.11.2"></a>
## [0.11.2](https://github.com/ha4us/ha4us-gui/compare/v0.11.1...v0.11.2) (2019-02-03)



<a name="0.11.1"></a>
## [0.11.1](https://github.com/ha4us/ha4us-gui/compare/v0.11.0...v0.11.1) (2019-02-03)


### Bug Fixes

* **not using component name of widget, but selector:** unfortunatyl the component name is uglified, ([e51fa0b](https://github.com/ha4us/ha4us-gui/commit/e51fa0b))



<a name="0.11.0"></a>
# [0.11.0](https://github.com/ha4us/ha4us-gui/compare/v0.10.2...v0.11.0) (2019-02-02)


### Bug Fixes

* **role:** be more flexible if role not defined ([11692fe](https://github.com/ha4us/ha4us-gui/commit/11692fe))
* **us-card-grid:** changed the detection strategy (no timeout anymore, and so no delays for ngIf cas ([2ec2e4c](https://github.com/ha4us/ha4us-gui/commit/2ec2e4c))


### Features

* **dashboard:** new dashboard component - btw. visor is probably now broken ([38af8e3](https://github.com/ha4us/ha4us-gui/commit/38af8e3))
* **layout:** new layout, split widgets in own module, first test of dashboard (wip) ([29be9ae](https://github.com/ha4us/ha4us-gui/commit/29be9ae))
* **layout:** new layout, split widgets in own module, first test of dashboard (wip) ([93a1063](https://github.com/ha4us/ha4us-gui/commit/93a1063))
* **using medias in dashboard and objects:** + some fixes ([2d2e2ca](https://github.com/ha4us/ha4us-gui/commit/2d2e2ca))
* **using medias in dashboard and objects:** + some fixes ([c8fb95f](https://github.com/ha4us/ha4us-gui/commit/c8fb95f))
* **widget:** changed structure of widgetdefinition ([035d368](https://github.com/ha4us/ha4us-gui/commit/035d368))
* **widget:** changed structure of widgetdefinition ([26da609](https://github.com/ha4us/ha4us-gui/commit/26da609))
* **widget:** changed structure of widgetdefinition ([0c47658](https://github.com/ha4us/ha4us-gui/commit/0c47658))



<a name="0.10.2"></a>
## [0.10.2](https://github.com/ha4us/ha4us-gui/compare/v0.10.1...v0.10.2) (2018-11-25)


### Bug Fixes

* **template pipe:** recalculate if template change ([233b30d](https://github.com/ha4us/ha4us-gui/commit/233b30d))



<a name="0.10.1"></a>
## [0.10.1](https://github.com/ha4us/ha4us-gui/compare/v0.10.0...v0.10.1) (2018-11-25)


### Bug Fixes

* **console statements:** cleanup ([da716c9](https://github.com/ha4us/ha4us-gui/commit/da716c9))



<a name="0.10.0"></a>
# [0.10.0](https://github.com/ha4us/ha4us-gui/compare/v0.9.1...v0.10.0) (2018-11-25)


### Features

* **css and template:** new css style directive and template pipe ([c4f759f](https://github.com/ha4us/ha4us-gui/commit/c4f759f))



<a name="0.9.1"></a>
## [0.9.1](https://github.com/ha4us/ha4us-gui/compare/v0.9.0...v0.9.1) (2018-11-24)


### Bug Fixes

* **visor:** decouple css element creation of value widget ([ea6db0e](https://github.com/ha4us/ha4us-gui/commit/ea6db0e))



<a name="0.9.0"></a>
# [0.9.0](https://github.com/ha4us/ha4us-gui/compare/v0.8.0...v0.9.0) (2018-11-21)


### Features

* **state:** auto reconnect after authorization failure and route guard for connecting (currently no ([53b1e6e](https://github.com/ha4us/ha4us-gui/commit/53b1e6e))



<a name="0.8.0"></a>
# [0.8.0](https://github.com/ha4us/ha4us-gui/compare/v0.7.0...v0.8.0) (2018-11-18)


### Bug Fixes

* **visor:** removed draggabality of visor (makes no sense and was interfering with resize of widgets ([794bfed](https://github.com/ha4us/ha4us-gui/commit/794bfed))


### Features

* **upgrade angular/material:** upgrading to angular material 7.0.0 ([899ff8b](https://github.com/ha4us/ha4us-gui/commit/899ff8b))
* **upgrade angular/material:** upgrading to angular material 7.0.0 ([79b5c6a](https://github.com/ha4us/ha4us-gui/commit/79b5c6a))
* **visor:** datamodel change ([39becdd](https://github.com/ha4us/ha4us-gui/commit/39becdd))
* **visor:** datamodel change ([54be5e9](https://github.com/ha4us/ha4us-gui/commit/54be5e9))
* **visor widget:** value widget with template and css support ([0cd31ec](https://github.com/ha4us/ha4us-gui/commit/0cd31ec))



<a name="0.7.0"></a>
# [0.7.0](https://github.com/ha4us/ha4us-gui/compare/v0.6.0...v0.7.0) (2018-10-04)


### Features

* **mqtt:** updated layout and dirty implementation of a quicklook ([9266829](https://github.com/ha4us/ha4us-gui/commit/9266829))
* **object and states:** jump from object list to observing the state of all children ([00bd7b7](https://github.com/ha4us/ha4us-gui/commit/00bd7b7))
* **objects:** add a child object from object list ([3352db5](https://github.com/ha4us/ha4us-gui/commit/3352db5))
* **script-editor:** ask for confirmation when leaving state and unsaved changes exist ([e0064c2](https://github.com/ha4us/ha4us-gui/commit/e0064c2))



<a name="0.6.0"></a>
# [0.6.0](https://github.com/ha4us/ha4us-gui/compare/v0.5.0...v0.6.0) (2018-09-27)


### Features

* **scripts:** some layout updates ([8caec36](https://github.com/ha4us/ha4us-gui/commit/8caec36))



<a name="0.5.0"></a>
# [0.5.0](https://github.com/ha4us/ha4us-gui/compare/v0.4.1...v0.5.0) (2018-09-26)


### Bug Fixes

* **logging:** removed some console.logs ([742fb70](https://github.com/ha4us/ha4us-gui/commit/742fb70))
* **logging:** removed some console.logs ([1a80f04](https://github.com/ha4us/ha4us-gui/commit/1a80f04))
* **scripts:** some bugfixes ([b771927](https://github.com/ha4us/ha4us-gui/commit/b771927))


### Features

* **scripts:** some layout updates ([34be094](https://github.com/ha4us/ha4us-gui/commit/34be094))
* **scripts:** some layout updates ([3ecc1e9](https://github.com/ha4us/ha4us-gui/commit/3ecc1e9))
* **state:** new pipe for selecting statest ([3ed2e48](https://github.com/ha4us/ha4us-gui/commit/3ed2e48))



<a name="0.4.1"></a>
## [0.4.1](https://github.com/ha4us/ha4us-gui/compare/v0.4.0...v0.4.1) (2018-09-21)


### Bug Fixes

* **rendering:** reduce rerendering of script list ([d368b89](https://github.com/ha4us/ha4us-gui/commit/d368b89))



<a name="0.4.0"></a>
# [0.4.0](https://github.com/ha4us/ha4us-gui/compare/v0.3.0...v0.4.0) (2018-09-20)


### Features

* **script-editor:** autocomplete for topics in script-editor ([f97a9e6](https://github.com/ha4us/ha4us-gui/commit/f97a9e6))



<a name="0.3.0"></a>
# [0.3.0](https://github.com/ha4us/ha4us-gui/compare/v0.0.7...v0.3.0) (2018-09-20)


### Bug Fixes

* **build aot:** fixed a lot of errors to allow aot compiling ([feeeee2](https://github.com/ha4us/ha4us-gui/commit/feeeee2))
* **color-picker:** setting initial colorstyle for preview ([044111b](https://github.com/ha4us/ha4us-gui/commit/044111b))
* **forms:** layout changes (some padding) ([af60d19](https://github.com/ha4us/ha4us-gui/commit/af60d19))
* **object-list:** added flexmodule for supporting layout ([8845ee6](https://github.com/ha4us/ha4us-gui/commit/8845ee6))
* **objects:** objects working again (clipboard service and miising object-tags) ([6c6e054](https://github.com/ha4us/ha4us-gui/commit/6c6e054))
* **routing:** changed order of imports to have the right order of routes ([b68f997](https://github.com/ha4us/ha4us-gui/commit/b68f997))
* **routing:** changed order of imports to have the right order of routes ([2835222](https://github.com/ha4us/ha4us-gui/commit/2835222))
* **topic-input:** fixed compile error (duplicate viewchild) ([cc737dd](https://github.com/ha4us/ha4us-gui/commit/cc737dd))
* **visor:** debouncing of model updates not in effect ([fcfff37](https://github.com/ha4us/ha4us-gui/commit/fcfff37))
* **visor:** fix preloading if no visor defined ([839e7b2](https://github.com/ha4us/ha4us-gui/commit/839e7b2))
* **visor:** layout of visor tabs ([c2c8f49](https://github.com/ha4us/ha4us-gui/commit/c2c8f49))
* **widget-edit:** layout changes (some padding) ([4cd3c48](https://github.com/ha4us/ha4us-gui/commit/4cd3c48))
* **widgets:** fixed some bugs in widget ([55d3493](https://github.com/ha4us/ha4us-gui/commit/55d3493))


### Features

* **angular:** added config, maps and widgets ([3531de2](https://github.com/ha4us/ha4us-gui/commit/3531de2))
* **angular:** finished refactor angular package ([4e0ab09](https://github.com/ha4us/ha4us-gui/commit/4e0ab09))
* **angular:** media service rebuild ([69a26e7](https://github.com/ha4us/ha4us-gui/commit/69a26e7))
* **angular-material:** version bump (using dragdrop and virtual scrolling from cdk@beta) ([1fe95fd](https://github.com/ha4us/ha4us-gui/commit/1fe95fd))
* **auth:** new auth guard and redirecting login ([379b88e](https://github.com/ha4us/ha4us-gui/commit/379b88e))
* **auth:** new auth guard and redirecting login ([4e58d74](https://github.com/ha4us/ha4us-gui/commit/4e58d74))
* **auth:** new auth guard and redirecting login ([0b128d6](https://github.com/ha4us/ha4us-gui/commit/0b128d6))
* **chore:** a lot of wip (6.0.0, structure) ([f707e3d](https://github.com/ha4us/ha4us-gui/commit/f707e3d))
* **color-picker:** new color-picker ([10f057d](https://github.com/ha4us/ha4us-gui/commit/10f057d))
* **forms:** adding color picker and image picker ([2a3ca15](https://github.com/ha4us/ha4us-gui/commit/2a3ca15))
* **forms:** merged color-picker in dynamic forms ([dede6f9](https://github.com/ha4us/ha4us-gui/commit/dede6f9))
* **forms:** move media-formcontrol as dynamic forms pluging ([0ff9848](https://github.com/ha4us/ha4us-gui/commit/0ff9848))
* **forms:** pluggable system for custom controls ([96ab4ac](https://github.com/ha4us/ha4us-gui/commit/96ab4ac))
* **forms:** standard tag input with autocomplete ([423aa09](https://github.com/ha4us/ha4us-gui/commit/423aa09))
* **ha4us-popup:** pass the close routine to the portal ([e68936b](https://github.com/ha4us/ha4us-gui/commit/e68936b))
* **ha4us-scripts:** new features in ha4us-script and menu entry ([86fb55e](https://github.com/ha4us/ha4us-gui/commit/86fb55e))
* **ha4us/core:** update 0.18 ([6041b27](https://github.com/ha4us/ha4us-gui/commit/6041b27))
* **ha4us/core:** update 0.18 ([5ae9aca](https://github.com/ha4us/ha4us-gui/commit/5ae9aca))
* **ha4us/core:** update 0.18 ([6d997eb](https://github.com/ha4us/ha4us-gui/commit/6d997eb))
* **ha4us/core:** update 0.18 ([dd9fc3b](https://github.com/ha4us/ha4us-gui/commit/dd9fc3b))
* **login:** reimplemented the login roundtrip ([ebe5644](https://github.com/ha4us/ha4us-gui/commit/ebe5644))
* **main layout:** main layout restored ([7d783cd](https://github.com/ha4us/ha4us-gui/commit/7d783cd))
* **material:** first value widget ([87dfdac](https://github.com/ha4us/ha4us-gui/commit/87dfdac))
* **material:** map component and dynamic forms ([30848fc](https://github.com/ha4us/ha4us-gui/commit/30848fc))
* **material:** media restored ([05107d7](https://github.com/ha4us/ha4us-gui/commit/05107d7))
* **material:** tagging and topic-input recreated ([492535f](https://github.com/ha4us/ha4us-gui/commit/492535f))
* **media:** media service and components ([97fe77d](https://github.com/ha4us/ha4us-gui/commit/97fe77d))
* **media:** using new tag-input for media tags ([a0177e7](https://github.com/ha4us/ha4us-gui/commit/a0177e7))
* **menu/main:** reduced menu entries ([8c38133](https://github.com/ha4us/ha4us-gui/commit/8c38133))
* **monaco-editor:** initial import of monaco editor ([3607b05](https://github.com/ha4us/ha4us-gui/commit/3607b05))
* **mqtt:** mqtt frontend for ha4us ([fdbb402](https://github.com/ha4us/ha4us-gui/commit/fdbb402))
* **mqtt:** mqtt frontend for ha4us ([8295fa2](https://github.com/ha4us/ha4us-gui/commit/8295fa2))
* **object:** added updateone action ([8ee451a](https://github.com/ha4us/ha4us-gui/commit/8ee451a))
* **object:** object editor changed to use stores ([2aae047](https://github.com/ha4us/ha4us-gui/commit/2aae047))
* **object:** streamlined store actions and reducers ([059a123](https://github.com/ha4us/ha4us-gui/commit/059a123))
* **objects:** extended search and get action ([873afcd](https://github.com/ha4us/ha4us-gui/commit/873afcd))
* **objects:** new service function (e.g. selectByRole) ([76dde3e](https://github.com/ha4us/ha4us-gui/commit/76dde3e))
* **objects:** new-topic component for entering the topic name of a new object ([c2f5d68](https://github.com/ha4us/ha4us-gui/commit/c2f5d68))
* **objects:** remove ha4us-object-tags (replace by general tag input component) ([1920506](https://github.com/ha4us/ha4us-gui/commit/1920506))
* **objects:** removed sync action in favor of preload guard ([b33496b](https://github.com/ha4us/ha4us-gui/commit/b33496b))
* **objects:** using store ([60635d7](https://github.com/ha4us/ha4us-gui/commit/60635d7))
* **refactor:** a next refactoring step ([3e8a018](https://github.com/ha4us/ha4us-gui/commit/3e8a018))
* **refactor:** some refactoring and enhancements ([9397b80](https://github.com/ha4us/ha4us-gui/commit/9397b80))
* **script-editor:** autocomplete for topics in script-editor ([ab7b540](https://github.com/ha4us/ha4us-gui/commit/ab7b540))
* **script-editor:** first version of script editor ([1c4a26f](https://github.com/ha4us/ha4us-gui/commit/1c4a26f))
* **several:** working object editor and authentication ([6df9053](https://github.com/ha4us/ha4us-gui/commit/6df9053))
* **state.directive:** removed the possibility to retrieve object and state buffer ([278c202](https://github.com/ha4us/ha4us-gui/commit/278c202))
* **store-concept:** added store concept for [@ha4us](https://github.com/ha4us)/angular ([a00d47c](https://github.com/ha4us/ha4us-gui/commit/a00d47c))
* **test:** new test module ([087de8e](https://github.com/ha4us/ha4us-gui/commit/087de8e))
* **topic-input:** open autocomplete with next options automatically ([2ec93aa](https://github.com/ha4us/ha4us-gui/commit/2ec93aa))
* **visor:** first folder layout ([76ba8da](https://github.com/ha4us/ha4us-gui/commit/76ba8da))
* **visor:** further evolved visor and form components ([e38ef69](https://github.com/ha4us/ha4us-gui/commit/e38ef69))
* **visor:** mark current active visor tab ([ebdf477](https://github.com/ha4us/ha4us-gui/commit/ebdf477))
* a bunch of changes (visor) ([ad5d44f](https://github.com/ha4us/ha4us-gui/commit/ad5d44f))
* **visor:** moving and resizing ([9b83ad9](https://github.com/ha4us/ha4us-gui/commit/9b83ad9))
* **visor:** widgets are basically working ([cfa481b](https://github.com/ha4us/ha4us-gui/commit/cfa481b))
* **welcomepage:** remove lorem ipsum text ([4bd8af5](https://github.com/ha4us/ha4us-gui/commit/4bd8af5))
* **widgets:** new widget for changing visors ([456741c](https://github.com/ha4us/ha4us-gui/commit/456741c))
* **widgets:** new widget for changing visors ([24a9e23](https://github.com/ha4us/ha4us-gui/commit/24a9e23))
* **widgets:** new widget hue controller and popup directive (based on cdk overlay/portal) ([6291f9b](https://github.com/ha4us/ha4us-gui/commit/6291f9b))
* **widgets:** widget reenabled ([9bd80c9](https://github.com/ha4us/ha4us-gui/commit/9bd80c9))



<a name="0.2.0"></a>
# [0.2.0](https://github.com/ha4us/ha4us-gui/compare/v0.1.0...v0.2.0) (2018-09-16)


### Features

* **ha4us/core:** update 0.18 ([5ae9aca](https://github.com/ha4us/ha4us-gui/commit/5ae9aca))



<a name="0.1.0"></a>
# [0.1.0](https://github.com/ha4us/ha4us-gui/compare/v0.0.7...v0.1.0) (2018-09-16)


### Bug Fixes

* **build aot:** fixed a lot of errors to allow aot compiling ([feeeee2](https://github.com/ha4us/ha4us-gui/commit/feeeee2))
* **color-picker:** setting initial colorstyle for preview ([044111b](https://github.com/ha4us/ha4us-gui/commit/044111b))
* **forms:** layout changes (some padding) ([af60d19](https://github.com/ha4us/ha4us-gui/commit/af60d19))
* **object-list:** added flexmodule for supporting layout ([8845ee6](https://github.com/ha4us/ha4us-gui/commit/8845ee6))
* **objects:** objects working again (clipboard service and miising object-tags) ([6c6e054](https://github.com/ha4us/ha4us-gui/commit/6c6e054))
* **routing:** changed order of imports to have the right order of routes ([b68f997](https://github.com/ha4us/ha4us-gui/commit/b68f997))
* **routing:** changed order of imports to have the right order of routes ([2835222](https://github.com/ha4us/ha4us-gui/commit/2835222))
* **topic-input:** fixed compile error (duplicate viewchild) ([cc737dd](https://github.com/ha4us/ha4us-gui/commit/cc737dd))
* **visor:** debouncing of model updates not in effect ([fcfff37](https://github.com/ha4us/ha4us-gui/commit/fcfff37))
* **visor:** fix preloading if no visor defined ([839e7b2](https://github.com/ha4us/ha4us-gui/commit/839e7b2))
* **visor:** layout of visor tabs ([c2c8f49](https://github.com/ha4us/ha4us-gui/commit/c2c8f49))
* **widget-edit:** layout changes (some padding) ([4cd3c48](https://github.com/ha4us/ha4us-gui/commit/4cd3c48))
* **widgets:** fixed some bugs in widget ([55d3493](https://github.com/ha4us/ha4us-gui/commit/55d3493))


### Features

* **angular:** added config, maps and widgets ([3531de2](https://github.com/ha4us/ha4us-gui/commit/3531de2))
* **angular:** finished refactor angular package ([4e0ab09](https://github.com/ha4us/ha4us-gui/commit/4e0ab09))
* **angular:** media service rebuild ([69a26e7](https://github.com/ha4us/ha4us-gui/commit/69a26e7))
* **angular-material:** version bump (using dragdrop and virtual scrolling from cdk@beta) ([1fe95fd](https://github.com/ha4us/ha4us-gui/commit/1fe95fd))
* **auth:** new auth guard and redirecting login ([379b88e](https://github.com/ha4us/ha4us-gui/commit/379b88e))
* **auth:** new auth guard and redirecting login ([4e58d74](https://github.com/ha4us/ha4us-gui/commit/4e58d74))
* **auth:** new auth guard and redirecting login ([0b128d6](https://github.com/ha4us/ha4us-gui/commit/0b128d6))
* **chore:** a lot of wip (6.0.0, structure) ([f707e3d](https://github.com/ha4us/ha4us-gui/commit/f707e3d))
* **color-picker:** new color-picker ([10f057d](https://github.com/ha4us/ha4us-gui/commit/10f057d))
* **forms:** adding color picker and image picker ([2a3ca15](https://github.com/ha4us/ha4us-gui/commit/2a3ca15))
* **forms:** merged color-picker in dynamic forms ([dede6f9](https://github.com/ha4us/ha4us-gui/commit/dede6f9))
* **forms:** move media-formcontrol as dynamic forms pluging ([0ff9848](https://github.com/ha4us/ha4us-gui/commit/0ff9848))
* **forms:** pluggable system for custom controls ([96ab4ac](https://github.com/ha4us/ha4us-gui/commit/96ab4ac))
* **forms:** standard tag input with autocomplete ([423aa09](https://github.com/ha4us/ha4us-gui/commit/423aa09))
* **ha4us/core:** update 0.18 ([6041b27](https://github.com/ha4us/ha4us-gui/commit/6041b27))
* **ha4us/core:** update 0.18 ([6d997eb](https://github.com/ha4us/ha4us-gui/commit/6d997eb))
* **login:** reimplemented the login roundtrip ([ebe5644](https://github.com/ha4us/ha4us-gui/commit/ebe5644))
* **main layout:** main layout restored ([7d783cd](https://github.com/ha4us/ha4us-gui/commit/7d783cd))
* **material:** first value widget ([87dfdac](https://github.com/ha4us/ha4us-gui/commit/87dfdac))
* **material:** map component and dynamic forms ([30848fc](https://github.com/ha4us/ha4us-gui/commit/30848fc))
* **material:** media restored ([05107d7](https://github.com/ha4us/ha4us-gui/commit/05107d7))
* **material:** tagging and topic-input recreated ([492535f](https://github.com/ha4us/ha4us-gui/commit/492535f))
* **media:** media service and components ([97fe77d](https://github.com/ha4us/ha4us-gui/commit/97fe77d))
* **media:** using new tag-input for media tags ([a0177e7](https://github.com/ha4us/ha4us-gui/commit/a0177e7))
* **menu/main:** reduced menu entries ([8c38133](https://github.com/ha4us/ha4us-gui/commit/8c38133))
* **monaco-editor:** initial import of monaco editor ([3607b05](https://github.com/ha4us/ha4us-gui/commit/3607b05))
* **mqtt:** mqtt frontend for ha4us ([fdbb402](https://github.com/ha4us/ha4us-gui/commit/fdbb402))
* **mqtt:** mqtt frontend for ha4us ([8295fa2](https://github.com/ha4us/ha4us-gui/commit/8295fa2))
* **object:** added updateone action ([8ee451a](https://github.com/ha4us/ha4us-gui/commit/8ee451a))
* **object:** object editor changed to use stores ([2aae047](https://github.com/ha4us/ha4us-gui/commit/2aae047))
* **object:** streamlined store actions and reducers ([059a123](https://github.com/ha4us/ha4us-gui/commit/059a123))
* **objects:** extended search and get action ([873afcd](https://github.com/ha4us/ha4us-gui/commit/873afcd))
* **objects:** remove ha4us-object-tags (replace by general tag input component) ([1920506](https://github.com/ha4us/ha4us-gui/commit/1920506))
* **objects:** removed sync action in favor of preload guard ([b33496b](https://github.com/ha4us/ha4us-gui/commit/b33496b))
* **objects:** using store ([60635d7](https://github.com/ha4us/ha4us-gui/commit/60635d7))
* **refactor:** a next refactoring step ([3e8a018](https://github.com/ha4us/ha4us-gui/commit/3e8a018))
* **refactor:** some refactoring and enhancements ([9397b80](https://github.com/ha4us/ha4us-gui/commit/9397b80))
* **several:** working object editor and authentication ([6df9053](https://github.com/ha4us/ha4us-gui/commit/6df9053))
* **state.directive:** removed the possibility to retrieve object and state buffer ([278c202](https://github.com/ha4us/ha4us-gui/commit/278c202))
* **store-concept:** added store concept for [@ha4us](https://github.com/ha4us)/angular ([a00d47c](https://github.com/ha4us/ha4us-gui/commit/a00d47c))
* **test:** new test module ([087de8e](https://github.com/ha4us/ha4us-gui/commit/087de8e))
* **topic-input:** open autocomplete with next options automatically ([2ec93aa](https://github.com/ha4us/ha4us-gui/commit/2ec93aa))
* **visor:** first folder layout ([76ba8da](https://github.com/ha4us/ha4us-gui/commit/76ba8da))
* **visor:** further evolved visor and form components ([e38ef69](https://github.com/ha4us/ha4us-gui/commit/e38ef69))
* **visor:** mark current active visor tab ([ebdf477](https://github.com/ha4us/ha4us-gui/commit/ebdf477))
* **visor:** moving and resizing ([9b83ad9](https://github.com/ha4us/ha4us-gui/commit/9b83ad9))
* a bunch of changes (visor) ([ad5d44f](https://github.com/ha4us/ha4us-gui/commit/ad5d44f))
* **visor:** widgets are basically working ([cfa481b](https://github.com/ha4us/ha4us-gui/commit/cfa481b))
* **welcomepage:** remove lorem ipsum text ([4bd8af5](https://github.com/ha4us/ha4us-gui/commit/4bd8af5))
* **widgets:** new widget for changing visors ([24a9e23](https://github.com/ha4us/ha4us-gui/commit/24a9e23))
* **widgets:** new widget for changing visors ([456741c](https://github.com/ha4us/ha4us-gui/commit/456741c))
* **widgets:** new widget hue controller and popup directive (based on cdk overlay/portal) ([6291f9b](https://github.com/ha4us/ha4us-gui/commit/6291f9b))
* **widgets:** widget reenabled ([9bd80c9](https://github.com/ha4us/ha4us-gui/commit/9bd80c9))
